class CommandError {
  constructor(param, error, name) {
    this.param = param;
    this.error = error;
    this.name = name;
  }
  equals(other) {
    return this.param === other.param && this.error === other.error;
  }
  toString() {
    return `${this.error} - for param: ${this.param}`;
  }
}
export {
  CommandError
};
